# Le site WEB de Jarnat

Vous retrouverez dans ce dépôt l'ensemble des sources et la documentation autour du site WEB Jarnat.

## Mise à jour du contenu

Il est possible de changer le contenu du site internet directement depuis Gitea où est hébergé le code.

Vous pouvez retrouver les parties suivantes :

- La configuration du site [généric](./config/_default/config.yml) et spécifique à une langue : [français](./config/_default/languages.fr.yml), [anglais](./config/_default/languages.fr.yml)
- Les traductions sont dans le dossier [i18n](./i18n/), on peut retrouver [le français](./i18n/fr.yaml) ainsi que [l'anglais](./i18n/en.yaml)
- Les articles de blog sont dans le dossier [content](./content/) et sont spécifique aux langues
- Les images statiques sont dans le dossier [static/images](./static/images/) aucun traitement n'est effectué par Hugo, il faut donc qu'elles soient optimisées
- Les données des différentes parties de la page d'accueil sont dans le dossier [data](./data/) avec une partie en [français](./data/fr/) et en [anglais](./data/en/) 
    - Le [Bandeau SAP](https://git.weko.io/Jarnat/jarnat/src/branch/main/data/fr/feature.yml)
    - Les [modalités](https://git.weko.io/Jarnat/jarnat/src/branch/main/data/fr/cta.yml) 
    - Les [contacts](https://git.weko.io/Jarnat/jarnat/src/branch/main/data/fr/contact.yml)
- L'ordre des parties sur la page d'accueil sont dans le fichier [index.html](./themes/meghna-hugo/layouts/index.html)

## Technologie

Il a été choisi d'utiliser le générateur de site statique [Hugo](https://gohugo.io/) qui fait partie [des plus utilisés](https://jamstack.org/generators/) et des plus rapides.

Le site utilise :
- le système de template de Hugo (template Go)
- du HTML
- du Javascript pour interagir avec l'utilisateur
- du CSS pour le design
- du [Markdown](https://fr.wikipedia.org/wiki/Markdown) pour le contenu

# Thème

Pour créer le site nous sommes partis du thème [Meghna](https://gethugothemes.com/products/meghna) de la société [Themefisher](https://themefisher.com/) que nous avons adapté pour correspondre au plus prêt des besoins de Jarnat. Le template a été acheté par la société Weko - CAP Services.
